diff -cr psqlodbc-orig/info.c psqlodbc/info.c
*** psqlodbc-orig/info.c	Wed Jan 24 09:30:49 2001
--- psqlodbc/info.c	Wed Jan 24 09:29:54 2001
***************
*** 337,343 ****
  
      case SQL_MAX_ROW_SIZE: /* ODBC 2.0 */
  		len = 4;
!         value = BLCKSZ;
          break;
  
      case SQL_MAX_ROW_SIZE_INCLUDES_LONG: /* ODBC 2.0 */
--- 337,343 ----
  
      case SQL_MAX_ROW_SIZE: /* ODBC 2.0 */
  		len = 4;
!         value = MAX_ROW_SIZE;
          break;
  
      case SQL_MAX_ROW_SIZE_INCLUDES_LONG: /* ODBC 2.0 */
***************
*** 422,428 ****
          break;
  
      case SQL_OUTER_JOINS: /* ODBC 1.0 */
! 		p = "N";
          break;
  
      case SQL_OWNER_TERM: /* ODBC 1.0 */
--- 422,428 ----
          break;
  
      case SQL_OUTER_JOINS: /* ODBC 1.0 */
! 		p = "Y";
          break;
  
      case SQL_OWNER_TERM: /* ODBC 1.0 */
diff -cr psqlodbc-orig/psqlodbc.h psqlodbc/psqlodbc.h
*** psqlodbc-orig/psqlodbc.h	Wed Jan 24 09:30:54 2001
--- psqlodbc/psqlodbc.h	Wed Jan 24 09:30:01 2001
***************
*** 40,47 ****
  #define DRIVERNAME             "PostgreSQL ODBC"
  #define DBMS_NAME              "PostgreSQL"
  
! #define DBMS_VERSION           "06.40.0009 PostgreSQL 6.4/6.5"
! #define POSTGRESDRIVERVERSION  "06.40.0009"
  
  #ifdef WIN32
  #define DRIVER_FILE_NAME		"PSQLODBC.DLL"
--- 40,47 ----
  #define DRIVERNAME             "PostgreSQL ODBC"
  #define DBMS_NAME              "PostgreSQL"
  
! #define DBMS_VERSION           "7.1.0000 PostgreSQL 7.1"
! #define POSTGRESDRIVERVERSION  "7.1.0000"
  
  #ifdef WIN32
  #define DRIVER_FILE_NAME		"PSQLODBC.DLL"
***************
*** 54,61 ****
  #define BLCKSZ                      4096
  #endif
  
! #define MAX_QUERY_SIZE				(BLCKSZ*2)
! #define MAX_MESSAGE_LEN				MAX_QUERY_SIZE
  #define MAX_CONNECT_STRING			4096
  #define ERROR_MSG_LENGTH			4096
  #define FETCH_MAX					100		/* default number of rows to cache for declare/fetch */
--- 54,62 ----
  #define BLCKSZ                      4096
  #endif
  
! #define MAX_ROW_SIZE				0 /* Unlimited rowsize with the Tuple Toaster */
! #define MAX_QUERY_SIZE				0 /* Unlimited query length from v7.0(?) */
! #define MAX_MESSAGE_LEN				(2*BLCKSZ)
  #define MAX_CONNECT_STRING			4096
  #define ERROR_MSG_LENGTH			4096
  #define FETCH_MAX					100		/* default number of rows to cache for declare/fetch */
diff -cr psqlodbc-orig/psqlodbc.rc psqlodbc/psqlodbc.rc
*** psqlodbc-orig/psqlodbc.rc	Wed Jan 24 09:30:54 2001
--- psqlodbc/psqlodbc.rc	Wed Jan 24 09:30:02 2001
***************
*** 204,211 ****
  //
  
  VS_VERSION_INFO VERSIONINFO
!  FILEVERSION 6,40,0,9
!  PRODUCTVERSION 6,40,0,9
   FILEFLAGSMASK 0x3L
  #ifdef _DEBUG
   FILEFLAGS 0x1L
--- 204,211 ----
  //
  
  VS_VERSION_INFO VERSIONINFO
!  FILEVERSION 7,1,0,0
!  PRODUCTVERSION 7,1,0,0
   FILEFLAGSMASK 0x3L
  #ifdef _DEBUG
   FILEFLAGS 0x1L
***************
*** 220,234 ****
      BEGIN
          BLOCK "040904e4"
          BEGIN
!             VALUE "Comments", "PostgreSQL ODBC driver for Windows 95\0"
              VALUE "CompanyName", "Insight Distribution Systems\0"
              VALUE "FileDescription", "PostgreSQL Driver\0"
!             VALUE "FileVersion", " 6.40.0009\0"
              VALUE "InternalName", "psqlodbc\0"
              VALUE "LegalTrademarks", "ODBC(TM) is a trademark of Microsoft Corporation.  Microsoft® is a registered trademark of Microsoft Corporation. Windows(TM) is a trademark of Microsoft Corporation.\0"
              VALUE "OriginalFilename", "psqlodbc.dll\0"
              VALUE "ProductName", "Microsoft Open Database Connectivity\0"
!             VALUE "ProductVersion", " 6.40.0009\0"
          END
      END
      BLOCK "VarFileInfo"
--- 220,237 ----
      BEGIN
          BLOCK "040904e4"
          BEGIN
!             VALUE "Comments", "PostgreSQL ODBC driver\0"
              VALUE "CompanyName", "Insight Distribution Systems\0"
              VALUE "FileDescription", "PostgreSQL Driver\0"
!             VALUE "FileVersion", " 7.1.0000\0"
              VALUE "InternalName", "psqlodbc\0"
+             VALUE "LegalCopyright", "\0"
              VALUE "LegalTrademarks", "ODBC(TM) is a trademark of Microsoft Corporation.  Microsoft® is a registered trademark of Microsoft Corporation. Windows(TM) is a trademark of Microsoft Corporation.\0"
              VALUE "OriginalFilename", "psqlodbc.dll\0"
+             VALUE "PrivateBuild", "\0"
              VALUE "ProductName", "Microsoft Open Database Connectivity\0"
!             VALUE "ProductVersion", " 7.1.0000\0"
!             VALUE "SpecialBuild", "\0"
          END
      END
      BLOCK "VarFileInfo"
diff -cr psqlodbc-orig/resource.h psqlodbc/resource.h
*** psqlodbc-orig/resource.h	Wed Jan 24 09:30:56 2001
--- psqlodbc/resource.h	Wed Jan 24 09:30:03 2001
***************
*** 1,7 ****
! /*{{NO_DEPENDENCIES}} */
! /* Microsoft Developer Studio generated include file. */
! /* Used by psqlodbc.rc */
! /* */
  #define IDS_BADDSN                      1
  #define IDS_MSGTITLE                    2
  #define DLG_OPTIONS_DRV                 102
--- 1,7 ----
! //{{NO_DEPENDENCIES}}
! // Microsoft Developer Studio generated include file.
! // Used by psqlodbc.rc
! //
  #define IDS_BADDSN                      1
  #define IDS_MSGTITLE                    2
  #define DLG_OPTIONS_DRV                 102
***************
*** 50,57 ****
  #define DS_PG64                         1057
  #define DS_PG63                         1058
  
! /* Next default values for new objects */
! /*  */
  #ifdef APSTUDIO_INVOKED
  #ifndef APSTUDIO_READONLY_SYMBOLS
  #define _APS_NEXT_RESOURCE_VALUE        104
--- 50,57 ----
  #define DS_PG64                         1057
  #define DS_PG63                         1058
  
! // Next default values for new objects
! // 
  #ifdef APSTUDIO_INVOKED
  #ifndef APSTUDIO_READONLY_SYMBOLS
  #define _APS_NEXT_RESOURCE_VALUE        104
